FlexibleOfflineHandler Class Referenceabstract

`#include <flexoffhandler.h>`

## Public Member Functions

virtual | ~FlexibleOfflineHandler ()
virtual void | handleFlexibleOfflineSupport (bool support)=0
virtual void | handleFlexibleOfflineMsgNum (int num)=0
virtual void | handleFlexibleOfflineMessageHeaders (const Disco::ItemList &headers)=0
virtual void | handleFlexibleOfflineResult (FlexibleOfflineResult foResult)=0

## Detailed Description

Implementation of this virtual interface allows for retrieval of offline messages following XEP-0030.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.7

Definition at line 43 of file flexoffhandler.h.

## Constructor & Destructor Documentation

## ~FlexibleOfflineHandler()

virtual ~FlexibleOfflineHandler | ( |  | ) |

inline virtual

Virtual Destructor.

Definition at line 49 of file flexoffhandler.h.

## Member Function Documentation

## handleFlexibleOfflineMessageHeaders()

virtual void handleFlexibleOfflineMessageHeaders | ( | const Disco::ItemList & | headers | ) |

pure virtual

This function is called when the offline message headers arrive. Call fetchHeaders() to trigger the check.

Parameters

  headers | A map of ID/sender pairs describing the offline messages.

## handleFlexibleOfflineMsgNum()

virtual void handleFlexibleOfflineMsgNum | ( | int | num | ) |

pure virtual

This function is called to announce the number of available offline messages. Call getMsgCount() to trigger the check.

Parameters

  num | The number of stored offline messages.

## handleFlexibleOfflineResult()

virtual void handleFlexibleOfflineResult | ( | FlexibleOfflineResult | foResult | ) |

pure virtual

This function is called to indicate the result of a fetch or delete instruction.

Parameters

  foResult | The result of the operation.

## handleFlexibleOfflineSupport()

virtual void handleFlexibleOfflineSupport | ( | bool | support | ) |

pure virtual

This function is called to indicate whether the server supports XEP-0013 or not. Call checkSupport() to trigger the check.

Parameters

  support | Whether the server support XEP-0013 or not.

The documentation for this class was generated from the following file:

- flexoffhandler.h